﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MapViewer
{
    public partial class MapForm : Form
    {
        public MapForm()
        {
            InitializeComponent();
        }


        private MapFetcher fetcher = new MapFetcher("192.168.2.76",80);
        private Roads roads = new Roads("192.168.2.76", 80);

        private void Form1_Load(object sender, EventArgs e)
        {
        
            fetcher.Start();
            mapViewControl.MapFetcher = fetcher;
            mapViewControl.LoadMap();
            roads.Load();
        }

        private void mapViewControl1_Click(object sender, EventArgs e)
        {

        }

        private void btnShow_Click(object sender, EventArgs e)
        {
            mapViewControl.Coords = new Point((int)numX.Value, (int)numY.Value);
            mapViewControl.Zoom = (int)numZ.Value;
            mapViewControl.LoadMap();
        }

        private void numX_ValueChanged(object sender, EventArgs e)
        {
          
                
        }

        private void numZ_ValueChanged(object sender, EventArgs e)
        {
            numX.Maximum = (decimal)((numZ.Value +1)* 3)-3;
            numY.Maximum = (decimal)((numZ.Value + 1) * 2)-2;


        }

        private void mapViewControl_MouseDown(object sender, MouseEventArgs e)
        {

        }

        private void label2_Click(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            mapViewControl.Coords = new Point(mapViewControl.Coords.X, mapViewControl.Coords.Y - 1);
            mapViewControl.LoadMap();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            mapViewControl.Coords = new Point(mapViewControl.Coords.X, mapViewControl.Coords.Y + 1);
            mapViewControl.LoadMap();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            mapViewControl.Coords = new Point(mapViewControl.Coords.X-1, mapViewControl.Coords.Y);
            mapViewControl.LoadMap();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            mapViewControl.Coords = new Point(mapViewControl.Coords.X + 1, mapViewControl.Coords.Y);
            mapViewControl.LoadMap();
        }


    }
}
